#include<bits/stdc++.h>
using namespace std;
const int N = 1e6+5;
const long long MOD = 1e9+7;
char s[N];
int i,n;
long long a[500];

int main(){
    ios_base::sync_with_stdio(0);cin.tie(0);cout.tie(0);
    cin>>n>>s;
    a['A'-1]=1;
    for(i=0;i<n;++i){
        a[s[i]]+=a[s[i]-1];
        a[s[i]]%=MOD;
    }

    cout << a['Z'] << '\n';
}